Skip to content

Update loan credit limit

Request

Security
oauth2(Required scopes: loan:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
adverseActionReasonstring

The reason why the credit limit was changed. If passed, the copy used in the locCreditLimitChanged communication template. Make sure to phrase the copy as a full sentence or paragraph.

creditLimitAmountnumber, (float)required

The credit limit amount for the line or draw. Only applicable to line of credit or installment loan with multiple advances. For installment loans with multi-advances, it is the amount financed set at origination.

sendNoticeboolean

Whether the system sent locCreditLimitChanged notice to the borrower.

Default:true
caseIdstring

An identifier for an existing case.

POST
/people/{personId}/loans/{loanId}/credit-limit
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/credit-limit' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "adverseActionReason": "string",
    "creditLimitAmount": 0.1,
    "sendNotice": true,
    "caseId": "string"
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Line of Credit)
Response
{ "message": "string", "status": 0, "data": { "id": "string", "loanTypeId": "string", "additionalBorrowers": [ … ], "assetDisplayName": "string", "cancellationReason": "technicalIssue", "declineReason": { … }, "displayId": "string", "endDate": "2019-08-24", "externalId": "string", "labels": [ … ], "metaData": {}, "timestamps": { … }, "assetType": "personalClosedEndUnsecured", "chargedOffReason": "term", "companyId": "string", "mainBorrowerId": "string", "migration": { … }, "atOrigination": { … }, "current": { … }, "isClosed": true, "muteLoanNotices": true, "newDrawsAllowed": true, "nickname": "string", "object": "lineOfCredit", "paymentHoldDays": { … }, "ratesValidation": { … }, "servicedBy": "creditor", "status": "pending", "type": "lineOfCredit" } }